tigase.server.xmppserver.proc

## Class S2SAbstract

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstract

- Direct Known Subclasses:
    S2SAbstractFilter, S2SAbstractProcessor

      public class S2SAbstract
      extends Object

  Created by andrzej on 19.05.2017.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DB_RESULT_EL_NAME`
    `protected static String` | `DB_VERIFY_EL_NAME`
    `protected static String` | `DIALBACK_EL`
    `protected static String` | `DIALBACK_NS`
    `protected static String[]` | `FEATURES_DIALBACK_PATH`
    `protected static String` | `FEATURES_EL`
    `protected static String` | `FEATURES_NS`
    `protected static String[]` | `FEATURES_STARTTLS_PATH`
    `static boolean` | `FORCE_VERSION`
    `protected S2SConnectionHandlerIfc<S2SIOService>` | `handler`
    `protected static String` | `PROCEED_TLS_EL`
    `protected static String` | `RESULT_EL_NAME`
    `protected static String` | `START_TLS_EL`
    `protected static String` | `START_TLS_NS`
    `protected static String` | `STREAM_FEATURES_EL`
    `protected static String` | `VERIFY_EL_NAME`
    `protected static String` | `VERSION_ATT_NAME`
    `protected static String` | `XMLNS_CLIENT_VAL`
    `protected static String` | `XMLNS_DB_ATT`
    `protected static String` | `XMLNS_DB_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `S2SAbstract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateStreamError(boolean initStream, String error_el, S2SIOService serv)`
    `void` | `generateStreamError(boolean initStream, String error_el, S2SIOService serv, Throwable throwable)`
    `void` | `init(S2SConnectionHandlerIfc<S2SIOService> handler, Map<String,Object> props)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DB_RESULT_EL_NAME

          protected static final String DB_RESULT_EL_NAME

      See Also:
        Constant Field Values

    - #### DB_VERIFY_EL_NAME

          protected static final String DB_VERIFY_EL_NAME

      See Also:
        Constant Field Values

    - #### DIALBACK_EL

          protected static final String DIALBACK_EL

      See Also:
        Constant Field Values

    - #### DIALBACK_NS

          protected static final String DIALBACK_NS

      See Also:
        Constant Field Values

    - #### FEATURES_EL

          protected static final String FEATURES_EL

      See Also:
        Constant Field Values

    - #### FEATURES_NS

          protected static final String FEATURES_NS

      See Also:
        Constant Field Values

    - #### PROCEED_TLS_EL

          protected static final String PROCEED_TLS_EL

      See Also:
        Constant Field Values

    - #### RESULT_EL_NAME

          protected static final String RESULT_EL_NAME

      See Also:
        Constant Field Values

    - #### START_TLS_EL

          protected static final String START_TLS_EL

      See Also:
        Constant Field Values

    - #### START_TLS_NS

          protected static final String START_TLS_NS

      See Also:
        Constant Field Values

    - #### STREAM_FEATURES_EL

          protected static final String STREAM_FEATURES_EL

      See Also:
        Constant Field Values

    - #### VERIFY_EL_NAME

          protected static final String VERIFY_EL_NAME

      See Also:
        Constant Field Values

    - #### VERSION_ATT_NAME

          protected static final String VERSION_ATT_NAME

      See Also:
        Constant Field Values

    - #### XMLNS_CLIENT_VAL

          protected static final String XMLNS_CLIENT_VAL

      See Also:
        Constant Field Values

    - #### XMLNS_DB_ATT

          protected static final String XMLNS_DB_ATT

      See Also:
        Constant Field Values

    - #### XMLNS_DB_VAL

          protected static final String XMLNS_DB_VAL

      See Also:
        Constant Field Values

    - #### FEATURES_STARTTLS_PATH

          protected static final String[] FEATURES_STARTTLS_PATH

    - #### FEATURES_DIALBACK_PATH

          protected static final String[] FEATURES_DIALBACK_PATH

    - #### FORCE_VERSION

          public static boolean FORCE_VERSION

    - #### handler

          @Inject(nullAllowed=true)
          protected S2SConnectionHandlerIfc<S2SIOService> handler

  - ### Constructor Detail

    - #### S2SAbstract

          public S2SAbstract()

  - ### Method Detail

    - #### init

          public void init(S2SConnectionHandlerIfc<S2SIOService> handler,
                           Map<String,Object> props)

    - #### generateStreamError

          public void generateStreamError(boolean initStream,
                                          String error_el,
                                          S2SIOService serv)

    - #### generateStreamError

          public void generateStreamError(boolean initStream,
                                          String error_el,
                                          S2SIOService serv,
                                          Throwable throwable)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.